﻿<!---->
@{
    ViewBag.Title = "Emprestimos";
    Layout = null;
}

@if (TempData["Msg"] != null)
{
    if (TempData["Msg"].ToString().IndexOf("sucesso") > 0)
    {
<div id="Esconder" style="text-align:center; background-color: aquamarine"> @TempData["Msg"] </div>
    }
    else
    {
<div id="Esconder" style="text-align:center; background-color: orangered"> @TempData["Msg"] </div>
    }
}

@model IEnumerable<ProjetoBiblioteca.Models.CadastroAlunos>



<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Empréstimos</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Área de gerenciamento de livrs" />
    <meta name="keywords" content="empréstimos, biblioteca, senai" />
    <meta name="author" content="Leonardo Coelho e Marina Melaré" />
    <!-- Facebook and Twitter integration -->
    <meta property="og:title" content="" />
    <meta property="og:image" content="" />
    <meta property="og:url" content="" />
    <meta property="og:site_name" content="" />
    <meta property="og:description" content="" />
    <meta name="twitter:title" content="" />
    <meta name="twitter:image" content="" />
    <meta name="twitter:url" content="" />
    <meta name="twitter:card" content="" />
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700" rel="stylesheet">
    <!--------------------------------------------------------------------------------------------------CSS----------------------------------------------------------------------------------------->
    <!-- Animate.css -->
    <link href="~/Content/animate.css" rel="stylesheet" />
    <!-- Icomoon Icon Fonts-->
    <link href="~/Content/icomoon.css" rel="stylesheet" />
    <!-- Themify Icons-->
    <link href="~/Content/themify-icons.css" rel="stylesheet" />
    <!-- Bootstrap  -->
    <link href="~/Content/bootstrapa.css" rel="stylesheet" />
    <!-- Magnific Popup -->
    <link href="~/Content/magnific-popup.css" rel="stylesheet" />
    <!-- Owl Carousel  -->
    <link href="~/Content/owl.carousel.min.css" rel="stylesheet" />
    <link href="~/Content/owl.theme.default.min.css" rel="stylesheet" />
    <!-- Theme style  -->
    <link href="~/Content/style.css" rel="stylesheet" />


    <!--------------------------------------------------------------------------------------------------CSS----------------------------------------------------------------------------------------->

</head>
<body>
    <div class="gtco-loader"> </div>

    <div id="page">

        <div class="page-inner">
            <div id="head-top" style="position: absolute; width: 100%; top: 0; ">
                <div class="gtco-top">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-xs-6">
                                <!--92 x 28-->
                                <div id="gtco-logo"><a href="~/Biblio/Index"><img src="http://inovasaopaulo.org.br/wp-content/uploads/2017/10/SENAI-SP.jpg" width="197" height="50" alt="Image" class="img-responsive"></a></div>
                            </div>
                        </div>
                    </div>
                </div>
                <nav class="gtco-nav sticky-banner" role="navigation">
                    <div class="gtco-container">
                        <!------------------------------------------------------------------------Menu bar de opções---------------------------------------------------------------------------->
                        <div class="row">
                            <div class="col-xs-12 text-center menu-1">
                                <ul>
                                    <li><a href="~/Biblio/Index">Início</a></li>
                                    <li><a href="~/Biblio/Alunos">Alunos</a></li>
                                    <li><a href="~/Biblio/Professores">Professor</a></li>
                                    <li><a href="~/Biblio/Livros">Livros</a></li>
                                    <li><a href="~/Biblio/Autores">Autores</a></li>
                                    <li><a href="~/Emprestimo/Emprestimos">Empréstimos</a></li>
                                    <li><a href="~/Login/Sair">Sair</a></li>
                                </ul>
                            </div>
                        </div>
                        <!------------------------------------------------------------------------Menu bar de opções---------------------------------------------------------------------------->
                    </div>
                </nav>
            </div>

            <header id="gtco-header" class="gtco-cover gtco-cover-sm" role="banner" style="background-image: url(http://globalmedicalco.com/photos/globalmedicalco/4/16005.JPG)" data-stellar-background-ratio="0.5">
                <div class="overlay"></div>
                <div class="gtco-container">
                    <div class="row row-mt-15em">
                        <div class="col-md-7 mt-text text-left animate-box" data-animate-effect="fadeInUp">
                            <h1><strong>Empréstimo</strong></h1>
                        </div>
                    </div>
                </div>
            </header>
            <div class="gtco-section gtco-gray-bg">

                <div class="gtco-container" style="width: 100%; max-width: 100%">

                    <div class="row">
                        <div class="col-md-12" style="width: 100%;">
                            <div class="animate-box">
                                <!---------------------------------------------------Busca de aluno----------------------------------------------------->
                                <form action="../Emprestimo/Emprestar" method="post" style="width: 50%; float: left">
                                    <div class="row form-group">
                                        <div class="col-md-12" style="width: 498%;">
                                            <div class="col-md-5 col-md-push-1 animate-box" style="float: left">
                                                <div class="tabs-content" id="weather">

                                                    <section id="second-tab-group" class="weathergroup">
                                                        <div class="col-md-4">
                                                            <div class="weather-item">
                                                               
                                                                <!------------------------------------Select Aluno------------------------------------>
                                                                <select name = email class="form-control" style="width: 100%" id="select-usuarios">
                                                                    <option value="">Selecione um Aluno...</option>
                                                                    @foreach (var item in Model)
                                                                    {
                                                                        if (item.AreaAtuacao != "Bibliotecária")
                                                                        {
                                                                    <option value="@item.Email">@item.Nome | @item.AreaAtuacao</option>
                                                                        }
                                                                    }
                                                                </select>
                                                                <br /><br />



                                                                <div id="listaDados" style="text-align: left">
                                                                    <br /><br />
                                                                </div>
                                                                <!------------------------------------Select Aluno------------------------------------>
                                                                <!------------------------------------Select Cópia------------------------------------>
                                                                <br /><br />
                                                                <input type="text" id="busca-livro-campo" name="titulo" class="form-control" placeholder="Insira o título do Livro">
                                                                <input type="button" id="busca-livro"  value="Pesquisar" class="btn btn-primary">
                                                                <br /><br />

                                                                <div id="listaDados1" style="text-align: left">
                                                                    <br /><br />
                                                                </div>
                                                                <br /><br />
                                                                <label style="float: left;">Data do Empréstimo:</label>
                                                                <input type="date" id="today" name="dataEmprestimo" class="form-control" style="width: 100%" />
                                                                <br /><br /><br /><br />

                                                                <label style="float: left;">Data de Retirada:</label>
                                                                <input type="date" name="dataRetirada" id="today1" class="form-control" style="width: 100%" />
                                                                <br /><br /><br /><br />
                                                                <input type="submit" value="Emprestar" class="btn btn-primary" />
                                                                <button formaction="../Emprestimo/Renovar" value="Renovar" class="btn btn-primary"> Renovar </button>
                                                                <button formaction="../Emprestimo/Devolver" value="Renovar" class="btn btn-primary"> Devolver </button>
                                                                <button formaction="../Emprestimo/Reservar" value="Reservar" class="btn btn-primary"> Reservar </button>
                                                                <!------------------------------------Select Cópia------------------------------------>

                                                            </div>
                                                        </div>
                                                    </section>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                                <!---------------------------------------------------Busca de aluno----------------------------------------------------->
                            </div>
                        </div>
                    </div>
                    <br /><br />
                </div>
            </div>

            <!---------------------------------------------------------------------------------------Créditos do site------------------------------------------------------------------------------------>
            <footer id="gtco-footer" role="contentinfo">
                <div class="gtco-container">
                    <div class="row copyright">
                        <div class="col-md-12">
                            <p class="pull-left">
                                <small class="block">&copy; 2018 SISTEMA DE EMPRÉSTIMOS DE LIVROS - SENAI. TODOS OS DIREITOS RESERVADOS.</small>
                                <small class="block">Desenvolvido por <a href="" target="_blank">Leonardo Coelho de Melo e Marina Aguiar Melaré</a> </small>
                            </p>
                        </div>
                    </div>
                </div>
            </footer>
            <!---------------------------------------------------------------------------------------Créditos do site------------------------------------------------------------------------------------>
        </div>
    </div>
    <!---------------------------------------------------------------------------------------Icon para voltar pro topo------------------------------------------------------------------------------------>
    <div class="gototop js-top">
        <a href="#" class="js-gotop"><img src="https://icon-icons.com/icons2/934/PNG/512/up-arrow-black-square-button_icon-icons.com_72904.png" width="50px" height="50px" alt="Image" class="img-responsive"></a>
    </div>
    <!---------------------------------------------------------------------------------------Icon para voltar pro topo------------------------------------------------------------------------------------>
    <!------------------------------------------------------------------------------------------------JavaScripts---------------------------------------------------------------------------------------->
    <!-- jQuery -->
    <script src="~/Scripts/jquery.min.js"></script>
    <!-- Modernizr JS -->
    <script src="~/Scripts/modernizr-2.6.2.min.js"></script>
    <!-- jQuery Easing -->
    <script src="~/Scripts/jquery.easing.1.3.js"></script>
    <!-- Bootstrap -->
    <script src="~/Scripts/bootstrapa.min.js"></script>
    <!-- Waypoints -->
    <script src="~/Scripts/jquery.waypoints.min.js"></script>
    <script src="~/Scripts/sticky.js"></script>
    <!-- Carousel -->
    <script src="~/Scripts/owl.carousel.min.js"></script>
    <!-- countTo -->
    <script src="~/Scripts/jquery.countTo.js"></script>
    <!-- Stellar Parallax -->
    <script src="~/Scripts/jquery.stellar.min.js"></script>
    <!-- Magnific Popup -->
    <script src="~/Scripts/jquery.magnific-popup.min.js"></script>
    <script src="~/Scripts/magnific-popup-options.js"></script>
    <script src="~/Scripts/listbox-combobox.js"></script>
    <script src="~/Scripts/listbox-combo-example.js"></script>
    <!-- Main -->
    <script src="~/Scripts/main.js"></script>
    <script>
        $(document).ready(function () {
            $('#Esconder').delay(75000).fadeOut();

            /*------------------------------------------------------SELECT USUARIOS-------------------------------------------------------*/
            $("#select-usuarios").change(function () {
                var str = $('#select-usuarios').find(":selected").val();

                //alert(str);
                var dataObject = JSON.stringify(str);

                $.ajax({
                    type: "GET",
                    url: "/Emprestimo/BuscarAluno",
                    //contentType: 'application/json',
                    data: { email: str },
                    success: function (data) {
                        
                        data: dataObject
                        
                        if (data.Nome != null) {
                            
                            $("#listaDados").html(
                            "<br /><h4>Nome:  " + data.Nome + "</h4>" +
                            "<h4>Matrícula: " + data.CodUsuario + "</h4>" +
                            "<h4>Email: " + data.Email + "</h4>" +
                            "<h4>Área de Atuação: " + data.AreaAtuacao + "</h4>" +
                            "<h4>Cidade: " + data.Cidade + "</h4>" +
                            "<h4>Bairro: " + data.Bairro + "</h4>");
                        } else {
                            $("#listaDados").html("<br/>Selecione um aluno acima.");
                        }
                        //alert("OK " + data.Nome);
                    },
                    error: function () {
                        alert("ERRO" + response.d);
                    }, failure: function () {
                        alert("FAIL" + response.d);
                    }
                });

                //alert(str);
            }).change();
            /*------------------------------------------------------SELECT USUARIOS-------------------------------------------------------*/


            /*--------------------------------------------------------INPUT LIVROS--------------------------------------------------------*/
            $("#busca-livro").click(function () {
                
                var str1 = $('#busca-livro-campo').val();
                console.log("Oi");
                //alert(str1);
                var dataObject1 = JSON.stringify(str1);

                $.ajax({
                    type: "GET",
                    url: "/Emprestimo/BuscarLivro",
                    //contentType: 'application/json',
                    data: { titulo: str1 },
                    success: function (data) {
                        data: dataObject1
                        if (data != null) {
                            console.log("Oi1");
                            var conteudo = "";
                            $.each(data, function (index, value) {
                                if (value["Situacao"] == 'Disponível') {
                                    conteudo += "<br /><input type='radio' name='livro' value='" + value["NumTombo"] + "'>" + " Título: " + value["Titulo"] + " | Número de Tombo: " + value["NumTombo"] + " | Situação: " + value["Situacao"] + "<br><br>";
                                    //$('#listaDados1').html($("<br /><input type='radio' name='livro' value='" + value["NumTombo"] + "'>" + " Título: " + value["Titulo"] + " | Número de Tombo: " + value["NumTombo"] + " | Situação: " + value["Situacao"] + "<br><br>"));
                                } else {
                                    conteudo += "<br /><input type='radio' name='livro' style='color: red' value='" + value["NumTombo"] + "'><span style='color: red' >" + " Título: " + value["Titulo"] + " | Número de Tombo: " + value["NumTombo"] + " | Situação: " + value["Situacao"] + "</span><br><br>";
                                    //$('#listaDados1').html($("<br /><input type='radio' name='livro' style='color: red' value='" + value["NumTombo"] + "'>" + " Título: " + value["Titulo"] + " | Número de Tombo: " + value["NumTombo"] + " | Situação: " + value["Situacao"] + "<br><br>"));
                                }
                            });
                            $('#listaDados1').html($(conteudo));

                                
                        } else {
                            $("#listaDados1").html("<br/>Insira um livro acima.");
                        }
                        //alert("OK " + data.Nome);
                    },
                    error: function () {
                        alert("ERRO" + response.d);
                    }, failure: function () {
                        alert("FAIL" + response.d);
                    }
                });
        //
                //alert(str);
            }).change();
            /*--------------------------------------------------------INPUT LIVROS--------------------------------------------------------*/

            /*--------------------------------------------------------BOTÃO RENOVAR--------------------------------------------------------*/
            $("#renovar").click(function () {

                var str1 = $('#select-usuarios').val();
                var str2 = $('#busca-livro-campo').val();
                var str3 = $('#today1').val();
                console.log("Oi");
                //alert(str1);
                var dataObject1 = JSON.stringify(str1);
                var dataObject2 = JSON.stringify(str2);
                var dataObject3 = JSON.stringify(str3);

                $.ajax({
                    type: "GET",
                    url: "/Emprestimo/Renovar",
                    //contentType: 'application/json',
                    data: { titulo: str1 },
                    success: function (data) {
                        data: dataObject1
                            console.log("Oi1");
                        //alert("OK " + data.Nome);
                    },
                    error: function () {
                        alert("ERRO" + response.d);
                    }, failure: function () {
                        alert("FAIL" + response.d);
                    }
                });
                //
                //alert(str);
            }).change();
            /*--------------------------------------------------------BOTÃO RENOVAR--------------------------------------------------------*/


            /*--------------------------------------------------------Pegando data de hoje--------------------------------------------------------*/
            let today = new Date().toISOString().substr(0, 10);
            document.querySelector("#today").value = today;

            var dataSoma = new Date(today);
            dataSoma.setDate(dataSoma.getDate() + 15);
            document.querySelector("#today1").value = dataSoma.toISOString().substr(0, 10);
            /*--------------------------------------------------------Pegando data de hoje--------------------------------------------------------*/


        });



    </script>
    <!------------------------------------------------------------------------------------------------JavaScripts---------------------------------------------------------------------------------------->
</body>
</html>
